petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDrawLGCreate

Creates a line graph data structure.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawLGCreate(PetscDraw draw,PetscInt dim,PetscDrawLG *outlg)

Collective on PetscDraw

### Input Parameters

| draw | - the window where the graph will be made.
| dim | - the number of curves which will be drawn

### Output Parameters

outlg -the line graph context

### Notes

The MPI communicator that owns the PetscDraw owns this PetscDrawLG, but the calls to set options and add points are ignored on all processes except the zeroth MPI process in the communicator. All MPI processes in the communicator must call PetscDrawLGDraw() to display the updated graph.

### See Also

PetscDrawLGDestroy(), PetscDrawLGAddPoint(), PetscDrawLGAddCommonPoint(), PetscDrawLGAddPoints(), PetscDrawLGDraw(), PetscDrawLGSave(),
PetscDrawLGView(), PetscDrawLGReset(), PetscDrawLGSetDimension(), PetscDrawLGGetDimension(), PetscDrawLGSetLegend(), PetscDrawLGGetAxis(), PetscDrawLGGetDraw(), PetscDrawLGSetUseMarkers(), PetscDrawLGSetLimits(), PetscDrawLGSetColors(), PetscDrawLGSetOptionsPrefix(), PetscDrawLGSetFromOptions()

### Level

intermediate

### Location

src/sys/classes/draw/utils/lgc.c

### Examples

src/ksp/ksp/examples/tutorials/ex68.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages